Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.workflow
Interface WorkflowAction

All Superinterfaces
  Serializable

All Known Implementing Classes:
  DraftAction, PublishAction, ReadyAction, RejectAction, RetireAction, StandardAction

    public interface WorkflowAction

extends Serializable

Interface that represents an action that may be called from within a workflow.

Method Summary
`void` | `execute(WorkflowActionContext context)` Execute the given action
`void` | `revertAction(WorkflowActionContext context, WorkflowException cause)` This method is provided as a helper method to allow users to revert their data which they might have changed in the execute() method.

Method Detail

### execute

    void execute(WorkflowActionContext context)
                 throws WorkflowException

  Execute the given action

  Parameters
    `context` - The WorkflowActionContext object
  Throws
    `WorkflowException` - If an exception occurs and will need to be persisted from the calling method

### revertAction

    void revertAction(WorkflowActionContext context,
                      WorkflowException cause)
                      throws WorkflowException

  This method is provided as a helper method to allow users to revert their data which they might have changed in the execute() method. This method is called by the API if the execute() method throws an RepositoryException. If the <to-status> element in the transition contains more than one action, revertAction will be called in the opposite order of the execute method. For example, assume that the <to-status> element has three actions defined FirstAction, SecondAction and ThirdAction - in that order. Now there is an error in the execute method of ThirdAction class, the API will call revertAction in the ThirdAction, SecondAction and FirstAction classes - in that order. If the revertAction method throws an RepositoryException, the execution will be stopped and the remainder revertAction methods will not be called.

  Parameters
    `context` - The WorkflowActionContext object
    `cause` - The WorkflowException that caused the execute() method to fail.
  Throws
    `WorkflowException` - If an exception occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.